{% extends 'starbase.html' %}
{% load crispy_forms_tags %}
{% load server_tags %}
{% block content %}

    <div class="row">

        <div class="alert alert-info text-center">{% blocktrans %} Classic search. Type your query and press enter. Go to the main page
            for dynamic search.{% endblocktrans %}
        </div>

        <div class="col-md-10 col-md-offset-2">
            <form class="form-inline" role="form" action="{% url 'search-page' %}">
                <div class="col-xs-9">
                    <input type="text" name="q" class="form-control" value="{{ q }}" placeholder="Search">
                </div>
                <div class="col-xs-1">
                    <button type="submit" class="btn btn-default">{% trans "Search" %}</button>
                </div>
            </form>
        </div>

        <div class="col-md-10 col-md-offset-1" id="search-results">

            {% if results %}
                {% page_bar %}
            {% endif %}

            {% for res in results %}
                <div class="result">
                    <div>
                        <h4><a href="{{ res.object.get_absolute_url }}"> {{ res.object.get_title }} </a></h4>

                    </div>
                    <div>
                        {{ res.context|safe }}
                    </div>

                    <div class="muted">by {{ res.author }}</div>

                </div>
            {% empty %}
                {% if q %}
                    <div class="alert alert-warning text-center">{% trans "No results found." %}</div>
                {% endif %}
            {% endfor %}


        </div>
    </div>


    </div>
    </div>
{% endblock %}